Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.isogen.saxoni18n
Class SaxonI18nTest

    java.lang.Object
      TestCase
          com.isogen.saxoni18n.SaxonI18nTest

public class SaxonI18nTest
extends TestCase

Tests the parts of the Saxoni18nService class that can be tested in isolation. NOTE: To run this test you must specify the com.innodata.i18n.home system property and it must point to the root directory for the project (the directory that contains the config/ directory).

Version:
See Also:
  Serialized Form

Constructor Summary
`SaxonI18nTest(java.lang.String testName)`

Method Summary
`static void` | `main(java.lang.String[] args)`
`static Test` | `suite()`
`void` | `testComparators()` Tests the Saxon Compare_* classes.
`void` | `testGetGeneratedText()` Tests the getGeneratedText*() methods that don't require a singleton node set.
`void` | `testGetIndexGroupKey()` Tests simplified Chinese index configuration.
`void` | `testGetVersionAndRelease()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaxonI18nTest

    public SaxonI18nTest(java.lang.String testName)

Method Detail

### main

    public static void main(java.lang.String[] args)

### suite

    public static Test suite()

### testComparators

    public void testComparators()

  Tests the Saxon Compare_* classes.

### testGetVersionAndRelease

    public void testGetVersionAndRelease()

### testGetGeneratedText

    public void testGetGeneratedText()

  Tests the getGeneratedText*() methods that don't require a singleton node set.

### testGetIndexGroupKey

    public void testGetIndexGroupKey()
                              throws XPathException

  Tests simplified Chinese index configuration.

  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD